Package org.gitana.platform.client.billing

# Interface BillingTransaction

All Superinterfaces:
  `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`, `Serializable`

All Known Implementing Classes:
  `BillingTransactionImpl`

public interface BillingTransaction extends org.gitana.platform.GitanaObject

Author:
  uzi

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FIELD_AMOUNT`
`static final String`
`FIELD_CREATED_ON`
`static final String`
`FIELD_CURRENCY_ISO_CODE`
`static final String`
`FIELD_ID`
`static final String`
`FIELD_PAYMENT_METHOD_NUMBER_MASKED`
`static final String`
`FIELD_PAYMENT_METHOD_TYPE`
`static final String`
`FIELD_PLAN_KEY`
`static final String`
`FIELD_TAX_AMOUNT`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`generateReceipt(String template)`
Downloads the receipt in PDF.
`BigDecimal`
`getAmount()`
`Calendar`
`getCreatedOn()`
`String`
`getCurrencyIsoCode()`
`String`
`getId()`
`String`
`getPaymentMethodNumberMasked()`
`String`
`getPaymentMethodType()`
`String`
`getPlanKey()`
`BigDecimal`
`getTaxAmount()`
`Tenant`
`getTenant()`
`void`
`setAmount(BigDecimal amount)`
`void`
`setCreatedOn(Calendar createdOn)`
`void`
`setCurrencyIsoCode(String currencyIsoCode)`
`void`
`setPaymentMethodNumberMasked(String paymentMethodNumberMasked)`
`void`
`setPaymentMethodType(String paymentMethodType)`
`void`
`setPlanKey(String planKey)`
`void`
`setTaxAmount(BigDecimal taxAmount)`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

## Field Details

### FIELD_ID

static final String FIELD_ID

See Also:
  - Constant Field Values

### FIELD_AMOUNT

static final String FIELD_AMOUNT

See Also:
  - Constant Field Values

### FIELD_PAYMENT_METHOD_TYPE

static final String FIELD_PAYMENT_METHOD_TYPE

See Also:
  - Constant Field Values

### FIELD_PAYMENT_METHOD_NUMBER_MASKED

static final String FIELD_PAYMENT_METHOD_NUMBER_MASKED

See Also:
  - Constant Field Values

### FIELD_CREATED_ON

static final String FIELD_CREATED_ON

See Also:
  - Constant Field Values

### FIELD_CURRENCY_ISO_CODE

static final String FIELD_CURRENCY_ISO_CODE

See Also:
  - Constant Field Values

### FIELD_PLAN_KEY

static final String FIELD_PLAN_KEY

See Also:
  - Constant Field Values

### FIELD_TAX_AMOUNT

static final String FIELD_TAX_AMOUNT

See Also:
  - Constant Field Values

## Method Details

### getTenant

Tenant getTenant()

### getId

String getId()

### setAmount

void setAmount(BigDecimal amount)

### getAmount

BigDecimal getAmount()

### setPaymentMethodType

void setPaymentMethodType(String paymentMethodType)

### getPaymentMethodType

String getPaymentMethodType()

### setPaymentMethodNumberMasked

void setPaymentMethodNumberMasked(String paymentMethodNumberMasked)

### getPaymentMethodNumberMasked

String getPaymentMethodNumberMasked()

### setCreatedOn

void setCreatedOn(Calendar createdOn)

### getCreatedOn

Calendar getCreatedOn()

### setCurrencyIsoCode

void setCurrencyIsoCode(String currencyIsoCode)

### getCurrencyIsoCode

String getCurrencyIsoCode()

### setPlanKey

void setPlanKey(String planKey)

### getPlanKey

String getPlanKey()

### setTaxAmount

void setTaxAmount(BigDecimal taxAmount)

### getTaxAmount

BigDecimal getTaxAmount()

### generateReceipt

byte[] generateReceipt(String template)
Downloads the receipt in PDF.

Returns:
  attachment